# Class LoginResponse | EchoHub Documentation

# Class LoginResponse

Namespace
  EchoHub.Core.DTOs

Assembly
  EchoHub.Core.dll

    public record LoginResponse : IEquatable<LoginResponse>

Inheritance
  object
  LoginResponse

Implements
  IEquatable<LoginResponse>

Inherited Members
  object.GetType()
  object.MemberwiseClone()
  object.Equals(object, object)
  object.ReferenceEquals(object, object)

## Constructors

### LoginResponse(LoginResponse)

    protected LoginResponse(LoginResponse original)

#### Parameters

`original` LoginResponse

### LoginResponse(string, string, DateTimeOffset, string, string?, string?)

    public LoginResponse(string Token, string RefreshToken, DateTimeOffset ExpiresAt, string Username, string? DisplayName, string? NicknameColor)

#### Parameters

`Token` string
`RefreshToken` string
`ExpiresAt` DateTimeOffset
`Username` string
`DisplayName` string
`NicknameColor` string

## Properties

### DisplayName

    public string? DisplayName { get; init; }

#### Property Value

string

### EqualityContract

    protected virtual Type EqualityContract { get; }

#### Property Value

Type

### ExpiresAt

    public DateTimeOffset ExpiresAt { get; init; }

#### Property Value

DateTimeOffset

### NicknameColor

    public string? NicknameColor { get; init; }

#### Property Value

string

### RefreshToken

    public string RefreshToken { get; init; }

#### Property Value

string

### Token

    public string Token { get; init; }

#### Property Value

string

### Username

    public string Username { get; init; }

#### Property Value

string

## Methods

### Deconstruct(out string, out string, out DateTimeOffset, out string, out string?, out string?)

    public void Deconstruct(out string Token, out string RefreshToken, out DateTimeOffset ExpiresAt, out string Username, out string? DisplayName, out string? NicknameColor)

#### Parameters

`Token` string
`RefreshToken` string
`ExpiresAt` DateTimeOffset
`Username` string
`DisplayName` string
`NicknameColor` string

### Equals(LoginResponse?)

    public virtual bool Equals(LoginResponse? other)

#### Parameters

`other` LoginResponse

#### Returns

bool

### Equals(object?)

    public override bool Equals(object? obj)

#### Parameters

`obj` object

#### Returns

bool

### GetHashCode()

    public override int GetHashCode()

#### Returns

int

### PrintMembers(StringBuilder)

    protected virtual bool PrintMembers(StringBuilder builder)

#### Parameters

`builder` StringBuilder

#### Returns

bool

### ToString()

    public override string ToString()

#### Returns

string

## Operators

### operator ==(LoginResponse?, LoginResponse?)

    public static bool operator ==(LoginResponse? left, LoginResponse? right)

#### Parameters

`left` LoginResponse
`right` LoginResponse

#### Returns

bool

### operator !=(LoginResponse?, LoginResponse?)

    public static bool operator !=(LoginResponse? left, LoginResponse? right)

#### Parameters

`left` LoginResponse
`right` LoginResponse

#### Returns

bool